
QGIS Application - Bug report #12483

Catchment area returning an error

2015-04-01 12:46 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20631

Description

Output della console di esecuzione di SAGA

____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

____________________

SAGA Version: 2.1.4

____________________

library path:    /usr/lib/x86_64-linux-gnu/saga/

library name:    libio_gdal

library     :    GDAL/OGR

tool        :    GDAL: Import Raster

author      :    O.Conrad (c) 2007 (A.Ringeler)

processors  :    4 [4]

____________________

Parameters

Grids: No objects

Files: "/home/paolo/Documents/Didattica/Corsi_Formazione_Faunalia/QGIS/QGIS_data/processing/hydro/dem25.tif" 

Transformation: yes

Interpolation: Nearest Neighbor

loading: /home/paolo/Documents/Didattica/Corsi_Formazione_Faunalia/QGIS/QGIS_data/processing/hydro/dem25.tif

Driver: GTiff

Bands: 1

Rows: 601

Columns: 410
Transformation:

x' = 262846.525725 + x * 25.000000 + y * 0.000000

y' = 4464275.000000 + x * 0.000000 + y * -25.000000

loading band [1/1]

Unknown option 'Method'

____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

____________________

SAGA Version: 2.1.4

____________________

library path:    /usr/lib/x86_64-linux-gnu/saga/

library name:    libta_hydrology

library     :    Hydrology

tool        :    Catchment Area (Top-Down)

author      :    O.Conrad (c) 2001-2014, T.Grabs portions (c) 2010

processors  :    4 [4]

____________________

Usage: saga_cmd ta_hydrology 0 -ELEVATION <str> [-SINKROUTE <str>] [-WEIGHT <str>] [-CAREA <str>] [-VAL_INPUT <str>]

[-VAL_MEAN <str>] [-MATERIAL <str>] [-TARGET <str>] [-ACCU_TOT <str>] [-ACCU_LEFT <str>] [-ACCU_RIGHT <str>] [-STEP

<num>] [-FLOWLEN <str>] [-LINEAR_VAL <str>] [-LINEAR_DIR <str>] [-METHOD <str>] [-LINEAR_DO <str>] [-LINEAR_MIN <num>]

[-CONVERGENCE <str>]

-ELEVATION:<str>      Elevation

Grid (input)

-SINKROUTE:<str>      Sink Routes

Grid (optional input)

-WEIGHT:<str>         Weight

Grid (optional input)

-CAREA:<str>          Catchment Area

Grid (output)

-VAL_INPUT:<str>      Input for Mean over Catchment Calculation

Grid (optional input)

-VAL_MEAN:<str>       Mean over Catchment

Grid (output)

-MATERIAL:<str>       Material

Grid (optional input)

-TARGET:<str>         Accumulation Target

Grid (optional input)

-ACCU_TOT:<str>       Total accumulated Material

Grid (optional output)

-ACCU_LEFT:<str>      Accumulated Material from Left Side

2024-03-20 2/5



Grid (optional output)

-ACCU_RIGHT:<str>     Accumulated Material from Right Side

Grid (optional output)

-STEP:<num>           Step

Integer

Minimum: 1

Default: 1

-FLOWLEN:<str>        Flow Path Length

Grid (optional output)

-LINEAR_VAL:<str>     Linear Flow Threshold Grid

Grid (optional input)

-LINEAR_DIR:<str>     Channel Direction

Grid (optional input)

-METHOD:<str>         Method

Choice

Available Choices:

[0] Deterministic 8

[1] Rho 8

[2] Braunschweiger Reliefmodell

[3] Deterministic Infinity

[4] Multiple Flow Direction

[5] Multiple Triangular Flow Directon

[6] Multiple Maximum Downslope Gradient Based Flow Directon

Default: 4

-LINEAR_DO:<str>      Thresholded Linear Flow

Boolean

Default: 0

-LINEAR_MIN:<num>     Linear Flow Threshold

Integer

Default: 500

-CONVERGENCE:<str>    Convergence

Floating point

Minimum: 0.000000

Default: 1.100000

Error: Grid file could not be opened.

Error: executing tool [GDAL: Export Raster]

____________________

    1.   ##   #####    ##

    1.     ###  ##       ###

    2.   # ## ##  #### # ##

    3. ##### ##    # #####

        1. #   ##  ##### #   ##

____________________

SAGA Version: 2.1.4

____________________

library path:    /usr/lib/x86_64-linux-gnu/saga/

library name:    libio_gdal

library     :    GDAL/OGR

tool        :    GDAL: Export Raster
author      :    O.Conrad (c) 2007

processors  :    4 [4]

____________________

Load grid: /tmp/processing/f019f9ed8ef84f4ab6c2ceddc6bf280c/CAREA.tif.sgrd...

failed

GDAL: Export Raster: could not initialize data objects

History

#1 - 2015-04-01 12:47 AM - Paolo Cavallini

Also other catchment methods do not complete.

#2 - 2015-04-01 02:00 AM - Paolo Cavallini

- Priority changed from Normal to High

This makes several example exercises and a sample model fail.

#3 - 2015-04-01 11:45 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

#4 - 2015-04-08 01:18 AM - Paolo Cavallini

First error: replacing "Method" with "METHOD" solves it.

However, a next one appears:

Unknown option 'CHEIGHT'

#5 - 2015-04-08 01:19 AM - Paolo Cavallini

First error solved.

#6 - 2015-04-08 01:24 AM - Paolo Cavallini

The second one appears with Recursive module

#7 - 2015-04-09 03:56 AM - Giovanni Manghi

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

fixed with https://github.com/qgis/QGIS/pull/1983

#8 - 2015-04-09 03:58 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
